## org.codehaus.groovy.runtime.metaclass
Class EntrySet

Constructor Summary
`EntrySet()`

Method Summary
`void` | `clear()`
`boolean` | `contains(Object o)`
`Enumeration` | `elements()` Returns an enumeration of the values in this table.
`boolean` | `findAndRemoveEntry(def entry)` Helper method for entrySet.remove
`Iterator` | `iterator()`
`Enumeration` | `keys()` Returns an enumeration of the keys in this table.
`boolean` | `remove(Object o)`
`int` | `size()`
`def` | `toArray()`
`def` | `toArray(def a)`

Constructor Detail

### EntrySet

    EntrySet()

Method Detail

### clear

    public void clear()

### contains

    public boolean contains(Object o)

### elements

    public Enumeration elements()

  Returns an enumeration of the values in this table. Use the Enumeration methods on the returned object to fetch the elements sequentially.
  return:
    an enumeration of the values in this table.
  see:
    Enumeration
  see:
    #keys()
  see:
    #values()
  see:
    Map

### findAndRemoveEntry

    boolean findAndRemoveEntry(def entry)

  Helper method for entrySet.remove

### iterator

    public Iterator iterator()

### keys

    public Enumeration keys()

  Returns an enumeration of the keys in this table.
  return:
    an enumeration of the keys in this table.
  see:
    Enumeration
  see:
    #elements()
  see:
    #keySet()
  see:
    Map

### remove

    public boolean remove(Object o)

### size

    public int size()

### toArray

    public def toArray()

### toArray

    public def toArray(def a)